Bug 25224 - Add "Large Print" from 008 position 23 to default XSLT
Summary: Add "Large Print" from 008 position 23 to default XSLT
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-20 21:42 UTC by Andrew Fuerste-Henry
Modified: 2020-05-14 20:54 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25224: Show large print format in search results XSLT (2.81 KB, patch)
2020-04-21 17:44 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25224: Show large print format in search results XSLT (2.87 KB, patch)
2020-04-21 21:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25224: Show large print format in search results XSLT (2.98 KB, patch)
2020-04-22 22:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-04-20 21:42:28 UTC
The defualt results and details XSLT stylesheets contain a smattering of information from the 008, but don't show Large Print when  008 position 23 ("Form of item") is set to d. 

008/23 is used for Form of item in the Books options, which are used when Leader/06 (Type of record) contains code a (Language material) or t (Manuscript language material) and Leader/07 (Bibliographic level) contains code a (Monographic component part), c (Collection), d (Subunit), or m (Monograph).
Comment 1 Andrew Fuerste-Henry 2020-04-21 17:44:48 UTC
Created attachment 103399 [details] [review]
Bug 25224: Show large print format in search results XSLT

To test:
1: find a bib with 008 type Book
(Leader position 6 = 'a' and leader position 7 = 'm' -- use bib number 1 in master data)
2: set 008 position 23 to 'd' for large print
3: check your book record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
4: find a bib with 008 type Continuing Resource
(Leader position 6 = 'a' and leader position 7 = 's' -- use bib number 44 in master data)
5: set 008 position 23 to 'd' for large print
6: check your continuing resource record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
7: apply patch, restart_all
8: reload search results from steps 3 and 6, confirm they now say "format: large print"
Comment 2 Lucas Gass 2020-04-21 21:15:59 UTC
Created attachment 103422 [details] [review]
Bug 25224: Show large print format in search results XSLT

To test:
1: find a bib with 008 type Book
(Leader position 6 = 'a' and leader position 7 = 'm' -- use bib number 1 in master data)
2: set 008 position 23 to 'd' for large print
3: check your book record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
4: find a bib with 008 type Continuing Resource
(Leader position 6 = 'a' and leader position 7 = 's' -- use bib number 44 in master data)
5: set 008 position 23 to 'd' for large print
6: check your continuing resource record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
7: apply patch, restart_all
8: reload search results from steps 3 and 6, confirm they now say "format: large print"

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-04-22 22:34:30 UTC
Created attachment 103517 [details] [review]
Bug 25224: Show large print format in search results XSLT

To test:
1: find a bib with 008 type Book
(Leader position 6 = 'a' and leader position 7 = 'm' -- use bib number 1 in master data)
2: set 008 position 23 to 'd' for large print
3: check your book record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
4: find a bib with 008 type Continuing Resource
(Leader position 6 = 'a' and leader position 7 = 's' -- use bib number 44 in master data)
5: set 008 position 23 to 'd' for large print
6: check your continuing resource record in opac and intranet search results, note that your change is not reflected in the "format" note in line with material type
7: apply patch, restart_all
8: reload search results from steps 3 and 6, confirm they now say "format: large print"

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=25193
Comment 4 Martin Renvoize 2020-04-27 10:18:41 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-08 20:35:45 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-14 20:54:33 UTC
backported to 19.05.x for 19.05.11